Bug 49200 - mod_cache stores responses to requests containing Cache-Control: no-store
Summary: mod_cache stores responses to requests containing Cache-Control: no-store
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_cache (show other bugs)
Version: 2.2.14
Hardware: All All
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks: 50195
  Show dependency tree
 
Reported: 2010-04-27 13:29 UTC by Axel-Stephane Smorgrav
Modified: 2011-02-11 18:07 UTC (History)
0 users



Attachments
Patch against 2.2.14 (1.18 KB, application/octet-stream)
2010-04-27 13:29 UTC, Axel-Stephane Smorgrav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel-Stephane Smorgrav 2010-04-27 13:29:50 UTC
Created attachment 25363 [details]
Patch against 2.2.14

In violation of RFC 2616 section 14.9.2, mod_cache stores the responses to requests containing the "Cache-Control: no-store" directive.

I had a look at mod_cache from a few different versions, and saw no sign that this is a regression. The good news is that it seems simple to fix. I submit a patch which has been successfully tested.
Comment 1 Jeff Trawick 2010-04-27 14:09:16 UTC
I think this was regressed some years back with this commit:

http://svn.apache.org/viewvc?view=revision&revision=190033
Comment 2 Graham Leggett 2010-10-18 19:22:24 UTC
Fixed in trunk with r992625. Proposed for backport to v2.2.
Comment 3 Graham Leggett 2011-02-11 18:07:45 UTC
Backported to v2.2.18.